
D4Science Infrastructure - VM Creation #8472

New VM dataminer needed 

May 10, 2017 12:23 PM - Nunzio Andrea Galante

Status: Closed Start date: May 10, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: Algorithms Integration   

Infrastructure: Production Applications list and

version:

 

RAM: 8 Applications context

path:

wps, whn-manager

CPU: 2 External storage data

disk:

 

DiskSpace: 20 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: 2.1.2-4.4.0-146408 PostgreSQL

database:

No

Application

Instructions:

 Number of VMs:  

Smartgears scopes: /d4science.research-infrastructures/gCu

beApps/RPrototypingLab

  

Description

A new Staging dataminer VM is needed, in order to be used for the Test phase of the DMPM Service.

The DMPM application should have SSH root access on such dataminer, in order to install dependencies and install algorithms; 

Related issues:

Blocks D4Science Infrastructure - Support #8498: Adding SSH keys to RPrototyp... Closed May 11, 2017

History

#1 - May 10, 2017 04:40 PM - Andrea Dell'Amico

Please, change the tracker type to VM creation and fill the required fields.

#2 - May 10, 2017 05:41 PM - Roberto Cirillo

- Tracker changed from Task to VM Creation

- RAM set to 0

- CPU set to 0

- DiskSpace set to 0

- Smartgears set to Yes

- Smartgears Version set to 2.1.2-4.4.0-146408

- Smartgears scopes updated

- Applications context path updated

- data transfer enabled set to No

- PostgreSQL database set to No

#3 - May 10, 2017 05:42 PM - Roberto Cirillo

Please @andrea.dellamico@isti.cnr.it could you set the minimal HW resources needed for this kind of dataminer?

#4 - May 11, 2017 06:37 PM - Andrea Dell'Amico

- RAM changed from 0 to 8
- CPU changed from 0 to 2

- DiskSpace changed from 0 to 20

#5 - May 11, 2017 06:38 PM - Andrea Dell'Amico

- Blocks Support #8498: Adding SSH keys to RPrototypingLab VRE added

#6 - May 11, 2017 07:44 PM - Andrea Dell'Amico

- Status changed from New to In Progress

dataminer-proto-ghost.d4science.org 146.48.123.125

#7 - May 12, 2017 02:28 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The VM is online. smartgears has been configured with

<container mode='offline'>

 node65.d4science.org has access as root, as per #8498

#8 - May 17, 2017 06:42 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
